from locals import *
from animation import Animated
from scrollable_sprite import ScrollableSprite
from game import g

class GameObject(ScrollableSprite, Animated):
    POSITION_BY = POSITION_BY_TOP_LEFT

    def __init__(self, x, y):
        ScrollableSprite.__init__(self)
        Animated.__init__(self)

        self.animation = g.assets[self.ASSET_NAME]
        self.abs_rect = self.animation.image.get_rect()
        if self.POSITION_BY == POSITION_BY_TOP_LEFT:
            self.abs_rect.topleft = x, y
        elif self.POSITION_BY == POSITION_BY_TOP_RIGHT:
            self.abs_rect.topright = x, y
        elif self.POSITION_BY == POSITION_BY_BOTTOM_LEFT:
            self.abs_rect.bottomleft = x, y
        elif self.POSITION_BY == POSITION_BY_BOTTOM_RIGHT:
            self.abs_rect.bottomright = x, y
