from game import g

class Immunities(object):
    def __init__(self, enemy):
        self._immunities = {}

        for imm in g.score.get_possible_immunities_sorted(enemy)[:3]:
            self._immunities[imm] = True

    def has_immunity(self, attack_type):
        return self._immunities.has_key(attack_type)

    @property
    def immunity_list(self):
        return self._immunities.keys()
