import json

class LevelAsset(object):
    KEYS = ['block', 'enemy1', 'enemy2', 'floor', 'pickup1', 'pickup2', 'pickup3', 'pickup4', 'pickup5', 'pickup6',
            'pit_left', 'pit_right', 'platform', 'player', 'weak_platform', 'weapon',
            'stalactite1', 'stalactite2', 'stalagmite', 'end_sign', 'platform2']

    def __init__(self, level_fn):
        level_json = json.load(file(level_fn, 'rb'))
        self.width, self.height = level_json['dimensions']
        for k in self.KEYS:
            setattr(self, k, level_json['stuff'].get(k, []))
