from locals import *

# ScrollableSprite has "image" and "abs_rect".
class ScrollableSprite(pygame.sprite.Sprite):
    def __init__(self):
        pygame.sprite.Sprite.__init__(self)

        self.scroll_offset = 0
        self.horizontal = False
#        self._offset_by_attack = 0

    def update(self, scroll_offset, horizontal):
        self.scroll_offset = scroll_offset
        self.horizontal = horizontal

#    @property
#    def offset_by_attack(self):
#        return self._offset_by_attack
#
#    @offset_by_attack.setter
#    def offset_by_attack(self, value):
#        x = value - self._offset_by_attack
#        self._offset_by_attack = value
#        self.abs_rect.move_ip(x, 0)

    @property
    def rect(self):
        r = self.abs_rect
        #r = r.move(self.offset_by_attack, 0) # hack

        if self.horizontal:
            return r.move(self.scroll_offset, 0)
        else:
            return r.move(0, self.scroll_offset)
